## org.hibernate.type.descriptor.java
Class JdbcTimestampTypeDescriptor.TimestampMutabilityPlan

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<Date>
          org.hibernate.type.descriptor.java.JdbcTimestampTypeDescriptor.TimestampMutabilityPlan

All Implemented Interfaces:
  Serializable, MutabilityPlan<Date>

Enclosing class:
  JdbcTimestampTypeDescriptor

    public static class JdbcTimestampTypeDescriptor.TimestampMutabilityPlan

extends MutableMutabilityPlan<Date>

See Also:
  Serialized Form

Field Summary
`static JdbcTimestampTypeDescriptor.TimestampMutabilityPlan` `INSTANCE`

Constructor Summary
`JdbcTimestampTypeDescriptor.TimestampMutabilityPlan()`

Method Summary
`Date` `deepCopyNotNull(Date value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JdbcTimestampTypeDescriptor.TimestampMutabilityPlan INSTANCE

Constructor Detail

### JdbcTimestampTypeDescriptor.TimestampMutabilityPlan

    public JdbcTimestampTypeDescriptor.TimestampMutabilityPlan()

Method Detail

### deepCopyNotNull

    public Date deepCopyNotNull(Date value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<Date>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.